//
// Source code recreated from a .class file by IntelliJ IDEA
// (powered by Fernflower decompiler)
//

package com.wb.controls;

import com.wb.common.KVBuffer;
import com.wb.util.WebUtil;

public class ExtRadioGroup extends ExtControl {
    public ExtRadioGroup() {
    }

    protected void extendConfig() throws Exception {
        String keyName = this.gs("keyName");
        if (!keyName.isEmpty()) {
            if (this.hasItems) {
                this.headerScript.append(',');
            } else {
                this.hasItems = true;
            }

            this.headerScript.append("items:");

            this.headerScript.append(KVBuffer.getList(keyName, WebUtil.fetch(request, "sys.tenancyId")));
        }

    }
}
